.intel_syntax noprefix
.extern irq_handler

.macro irq_common_stub nb
irq_stub_\nb:
	mov bl, \nb
	call irq_handler
	iret 
.endm

irq_common_stub 0
irq_common_stub 1
irq_common_stub 2
irq_common_stub 3
irq_common_stub 4
irq_common_stub 5
irq_common_stub 6
irq_common_stub 7
irq_common_stub 8
irq_common_stub 9
irq_common_stub 10
irq_common_stub 11
irq_common_stub 12
irq_common_stub 13
irq_common_stub 14
irq_common_stub 15

.global irq_stub_table
irq_stub_table:
	.long irq_stub_0
	.long irq_stub_1
	.long irq_stub_2
	.long irq_stub_3
	.long irq_stub_4
	.long irq_stub_5
	.long irq_stub_6
	.long irq_stub_7
	.long irq_stub_8
	.long irq_stub_9
	.long irq_stub_10
	.long irq_stub_11
	.long irq_stub_12
	.long irq_stub_13
	.long irq_stub_14
	.long irq_stub_15
